- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Protected Member Functions

# FbxSurfacePhong Class Reference

This reference page is linked to from the following overview topics: Meshes, Materials and Textures, Materials, List of Python Fbx classes.

Search for all occurrences

## Detailed Description

This class contains settings for Phong Materials.

Examples:

  ExportDocument/main.cxx, ExportScene02/main.cxx, ExportScene03/main.cxx, ImportScene/DisplayMaterial.cxx, Instances/main.cxx, Layers/main.cxx, and ProceduralTexture/main.cxx.

Definition at line 27 of file fbxsurfacephong.h.

`#include <fbxsurfacephong.h>`

Inheritance diagram for FbxSurfacePhong:
[legend]

List of all members.

## Protected Member Functions
| FbxSurfacePhong (FbxManager &pManager, char const *pName)
virtual bool | ConstructProperties (bool pForceSet)
void | Init ()
## Material properties
FbxPropertyT< FbxDouble3 > | Specular
| Specular property.
FbxPropertyT< FbxDouble > | SpecularFactor
| Specular factor property.
FbxPropertyT< FbxDouble > | Shininess
| Shininess property.
FbxPropertyT< FbxDouble3 > | Reflection
| Reflection color property.
FbxPropertyT< FbxDouble > | ReflectionFactor
| Reflection factor property.
## Default property values
static const FbxDouble3 | sSpecularDefault
static const FbxDouble | sSpecularFactorDefault
static const FbxDouble | sShininessDefault
static const FbxDouble3 | sReflectionDefault
static const FbxDouble | sReflectionFactorDefault

## Constructor & Destructor Documentation

FbxSurfacePhong | ( | FbxManager & | pManager,
|  | char const * | pName
| ) |  | `[protected]`

## Member Function Documentation

virtual bool ConstructProperties | ( | bool | pForceSet | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxSurfaceLambert.

void Init | ( |  | ) | `[protected]`

Search for all occurrences

Reimplemented from FbxSurfaceLambert.

## Member Data Documentation

FbxPropertyT<FbxDouble3> Specular

Search for all occurrences

Specular property.

Examples:
  ExportDocument/main.cxx, ExportScene02/main.cxx, ExportScene03/main.cxx, and Layers/main.cxx.

Definition at line 37 of file fbxsurfacephong.h.

FbxPropertyT<FbxDouble> SpecularFactor

Search for all occurrences

Specular factor property.

This factor is used to attenuate the specular color.

Examples:
  ExportDocument/main.cxx, and ExportScene03/main.cxx.

Definition at line 42 of file fbxsurfacephong.h.

FbxPropertyT<FbxDouble> Shininess

Search for all occurrences

Shininess property.

This property controls the aspect of the shiny spot. It is the specular exponent in the Phong illumination model.

Examples:
  ExportDocument/main.cxx, ExportScene02/main.cxx, ExportScene03/main.cxx, and Layers/main.cxx.

Definition at line 48 of file fbxsurfacephong.h.

FbxPropertyT<FbxDouble3> Reflection

Search for all occurrences

Reflection color property.

This property is used to implement reflection mapping.

Definition at line 53 of file fbxsurfacephong.h.

FbxPropertyT<FbxDouble> ReflectionFactor

Search for all occurrences

Reflection factor property.

This property is used to attenuate the reflection color.

Examples:
  ExportScene02/main.cxx.

Definition at line 58 of file fbxsurfacephong.h.

const FbxDouble3 sSpecularDefault `[static]`

Search for all occurrences

Definition at line 70 of file fbxsurfacephong.h.

const FbxDouble sSpecularFactorDefault `[static]`

Search for all occurrences

Definition at line 71 of file fbxsurfacephong.h.

const FbxDouble sShininessDefault `[static]`

Search for all occurrences

Definition at line 73 of file fbxsurfacephong.h.

const FbxDouble3 sReflectionDefault `[static]`

Search for all occurrences

Definition at line 75 of file fbxsurfacephong.h.

const FbxDouble sReflectionFactorDefault `[static]`

Search for all occurrences

Definition at line 76 of file fbxsurfacephong.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/shading/fbxsurfacephong.h

FbxSurfacePhong FbxSurfacePhong FbxSurfacePhong FbxSurfacePhong FbxSurfacePhong FbxSurfacePhong FbxSurfacePhong FbxSurfacePhong FbxSurfacePhong FbxSurfacePhong
FbxSurfacePhong FbxSurfacePhong FbxSurfacePhong FbxSurfacePhong FbxSurfacePhong FbxSurfacePhong FbxSurfacePhong FbxSurfacePhong FbxSurfacePhong FbxSurfacePhong